Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# copier_n< iterator_from_2d< IL >, iterator_from_2d< OL > > Struct Template Reference

`#include <algorithm.hpp>`

List of all members.

## Detailed Description

### template<typename IL, typename OL>
struct boost::gil::detail::copier_n< iterator_from_2d< IL >, iterator_from_2d< OL > >

Both source and destination ranges are delimited by image iterators.

## Public Types

typedef iterator_from_2d< IL > ::difference_type | diff_t

## Public Member Functions

GIL_FORCEINLINE void | operator() (iterator_from_2d< IL > src, diff_t n, iterator_from_2d< OL > dst) const

The documentation for this struct was generated from the following file:

- algorithm.hpp